Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class SitemeshPreprocessor

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.SitemeshPreprocessor

    public class SitemeshPreprocessor

Adds GSP Sitemesh integration directly to compiled GSP. head, meta, title, body and content tags are replaced with ... taglibs The taglib is used to capture the content of each tag. This prevents the need to parse the content output like Sitemesh normally does.

Authors:
  Lari Hotari, Sagire Software Oy

Field Summary
`static java.lang.String` | `XML_CLOSING_FOR_EMPTY_TAG_ATTRIBUTE_NAME`

Method Summary
`java.lang.String` | `addGspSitemeshCapturing(java.lang.String gspSource)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### XML_CLOSING_FOR_EMPTY_TAG_ATTRIBUTE_NAME

    public static final java.lang.String XML_CLOSING_FOR_EMPTY_TAG_ATTRIBUTE_NAME

Method Detail

### addGspSitemeshCapturing

    public java.lang.String addGspSitemeshCapturing(java.lang.String gspSource)

Groovy Documentation